<?php
 namespace VnChocola\Model;
 use TCMS\Model;
 use TCMS\FieldModel;
 use FIELD_DATA_TYPE;
 class REPAIRODERPYSModel extends Model {
 public $tableName = 'REPAIR_ODER_PYS';
 public $timestamp = true;
 public function registerField() {
 $this->addField('id', FIELD_DATA_TYPE::INTEGER);
 $this->addField('KEY_ID',FIELD_DATA_TYPE::STRING);
 $this->addField('REPAIRORDERNO',FIELD_DATA_TYPE::STRING);
 $this->addField('CVDV_NAME',FIELD_DATA_TYPE::STRING);
 $this->addField('CVDV_ID',FIELD_DATA_TYPE::STRING);
 $this->addField('RO_DATE',FIELD_DATA_TYPE::STRING);
 $this->addField('CAROWNERNAME',FIELD_DATA_TYPE::STRING);
 $this->addField('CAROWNERADD',FIELD_DATA_TYPE::STRING);
 $this->addField('DRIVERNAME',FIELD_DATA_TYPE::STRING);
 $this->addField('CUSTOMER_ID',FIELD_DATA_TYPE::STRING);
 $this->addField('VEHICLE_TYPE',FIELD_DATA_TYPE::STRING);
 $this->addField('REGISTERNO',FIELD_DATA_TYPE::STRING);
 $this->addField('CM_CODE',FIELD_DATA_TYPE::STRING);
 $this->addField('FRAMENO',FIELD_DATA_TYPE::STRING);
 $this->addField('WORK_TYPE',FIELD_DATA_TYPE::STRING);
 $this->addField('WTCODE',FIELD_DATA_TYPE::STRING);
 $this->addField('JOBCODE',FIELD_DATA_TYPE::STRING);
 $this->addField('JOBSNAME',FIELD_DATA_TYPE::STRING);
 $this->addField('DESCRIPTIONS',FIELD_DATA_TYPE::STRING);
 $this->addField('QUANTITY',FIELD_DATA_TYPE::STRING);
 $this->addField('UNIT_NAME',FIELD_DATA_TYPE::STRING);
 $this->addField('COST',FIELD_DATA_TYPE::STRING);
 $this->addField('DISCOUNT',FIELD_DATA_TYPE::STRING);
 $this->addField('TAX_AMOUNT5',FIELD_DATA_TYPE::STRING);
 $this->addField('TAX_AMOUNT10',FIELD_DATA_TYPE::STRING);
 $this->addField('LINETOTAL',FIELD_DATA_TYPE::STRING);
 $this->addField('DETAIL_ID',FIELD_DATA_TYPE::STRING);
 $this->addField('IS_GET',FIELD_DATA_TYPE::STRING);
 $this->addField('ORGNAME',FIELD_DATA_TYPE::STRING);
 $this->addField('CAROWNERTEL',FIELD_DATA_TYPE::STRING);
 $this->addField('CAROWNERFAX',FIELD_DATA_TYPE::STRING);
 $this->addField('INR_COM_NAME',FIELD_DATA_TYPE::STRING);
 $this->addField('EMP_TEL',FIELD_DATA_TYPE::STRING);
 $this->addField('V_C_CODE',FIELD_DATA_TYPE::STRING);
 $this->addField('KM',FIELD_DATA_TYPE::STRING);
 $this->addField('DELIVERY_DATE',FIELD_DATA_TYPE::STRING);
 $this->addField('MEETCUS',FIELD_DATA_TYPE::STRING);
 $this->addField('CLOSERO_DATE',FIELD_DATA_TYPE::STRING);
 $this->addField('TRANS_DATE',FIELD_DATA_TYPE::STRING);
 $this->addField('DLR_ID',FIELD_DATA_TYPE::STRING);
 $this->addField('VIN',FIELD_DATA_TYPE::STRING);
 $this->addField('CF_TYPE',FIELD_DATA_TYPE::STRING);
 $this->addField('CM_NAME',FIELD_DATA_TYPE::STRING);
 $this->addField('FULL_MODEL',FIELD_DATA_TYPE::STRING);
 $this->addField('DRIVER_TEL',FIELD_DATA_TYPE::STRING);
 $this->addField('KM_PREVIOUS',FIELD_DATA_TYPE::STRING);
 $this->addField('MAX_CREATE_DATE',FIELD_DATA_TYPE::STRING);
 $this->addField('REQUEST_DESC',FIELD_DATA_TYPE::STRING);
 $this->addField('NOTES',FIELD_DATA_TYPE::STRING);
 $this->addField('EMP_CODE',FIELD_DATA_TYPE::STRING);
 $this->addField('OPENRO_DATE',FIELD_DATA_TYPE::STRING);
 $this->addField('TAXCODE',FIELD_DATA_TYPE::STRING);
 $this->addField('ROTYPE',FIELD_DATA_TYPE::STRING);
 $this->addField('IS_MA',FIELD_DATA_TYPE::STRING);
 $this->addField('NEXT_KM_MAINTENANCE',FIELD_DATA_TYPE::STRING);
 $this->addField('SHIPDATE',FIELD_DATA_TYPE::STRING);
 $this->addField('ENGINE_NO',FIELD_DATA_TYPE::STRING);
 $this->addField('DISCOUNT_TYPE',FIELD_DATA_TYPE::STRING);
 $this->addField('ROTYPE_DETAIL',FIELD_DATA_TYPE::STRING);
 $this->addField('SUPPLIER_NAME',FIELD_DATA_TYPE::STRING);
 $this->addField('GENUINE',FIELD_DATA_TYPE::STRING);
 $this->addField('WORK_TYPE_DETAIL',FIELD_DATA_TYPE::STRING);
 $this->addField('KPI_PART_TYPE', FIELD_DATA_TYPE::STRING);
 }
 }
